Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class PacketTooBigException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  com.mysql.jdbc.PacketTooBigException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

    public class PacketTooBigException

extends java.sql.SQLException

Thrown when a packet that is too big for the server is created.

See Also:
  Serialized Form

Constructor Summary
`PacketTooBigException(long packetSize, long maximumPacketSize)` Creates a new PacketTooBigException object.

Method Summary

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PacketTooBigException

    public PacketTooBigException(long packetSize,
                                 long maximumPacketSize)

  Creates a new PacketTooBigException object.

  Parameters:
    `packetSize` - the size of the packet that was going to be sent
    `maximumPacketSize` - the maximum size the server will accept

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD